import Vue, { VNode } from 'vue';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    removeBtnClick(e: MouseEvent): void;
    onClickNav({ e }: {
        e: MouseEvent;
    }): void;
    renderCardItem(): VNode;
    renderNormalItem(): VNode;
}, {
    navItemClass: {};
}, {
    index: number;
    active: boolean;
    theme: "normal" | "card";
    size: "medium" | "large";
    placement: "left" | "top" | "bottom" | "right";
    label: unknown;
    disabled: boolean;
    removable: boolean;
    value: import("./type").TabValue;
}>;
export default _default;
